org.richfaces.taglib

## Class PageTagHandler

- java.lang.Object
- - com.sun.facelets.tag.TagHandler
  - - com.sun.facelets.tag.MetaTagHandler
    - - com.sun.facelets.tag.jsf.ComponentHandler
      - - org.richfaces.taglib.PageTagHandler

- All Implemented Interfaces:
    com.sun.facelets.FaceletHandler

      public class PageTagHandler
      extends com.sun.facelets.tag.jsf.ComponentHandler

  This handler does same work as Facelet's `ViewHandler` does to setup page encoding and content type.
  Author:
    asmirnov

- - ### Field Summary

    - ### Fields inherited from class com.sun.facelets.tag.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onComponentPopulated(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`

    - ### Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler

      `apply, applyNextHandler, createComponent, createMetaRuleset, getFacetName, getId, onComponentCreated`

    - ### Methods inherited from class com.sun.facelets.tag.MetaTagHandler

      `setAttributes`

    - ### Methods inherited from class com.sun.facelets.tag.TagHandler

      `findNextByType, getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PageTagHandler

          public PageTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

  - ### Method Detail

    - #### onComponentPopulated

          protected void onComponentPopulated(com.sun.facelets.FaceletContext ctx,
                                  javax.faces.component.UIComponent c,
                                  javax.faces.component.UIComponent parent)

      Overrides:
        `onComponentPopulated` in class `com.sun.facelets.tag.jsf.ComponentHandler`

Copyright © 2013. All Rights Reserved.